pipe script

Here’s a quick pipe my line script:

Option Explicit

‘Script written by Dimitrie Stefanescu
‘Contact me at: didi [at] improved [dot] ro
‘Script released under the Creative Commons Attribution-Non-Commercial-Share Alike 3.0 Licence

Call Main()
Sub Main()

Dim arrobj : arrobj = Rhino.GetObjects(“Sel obj”, 4)
Dim oo

Dim radius : radius = Rhino.GetReal(“radius”,2.3)

Dim pts
Call rhino.EnableRedraw(False)
For Each oo In arrobj

pts = Rhino.CurvePoints(oo)
Call Rhino.AddCylinder(pts(0), pts(UBound(pts)), radius)

Next
Call rhino.EnableRedraw(True)
‘2.3 diamater

End Sub

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s